
numbs = {}
imgs = {}
imagepath = "gfx/numbers/"
addhook("startround","initialize")
addhook("trigger","my_trigger")
closed = true

function img(id)
	buf = string.format("%i.bmp",id)
	return buf
end



function initialize()
	numbs = {'0','0','0','0'}
	for i = 1,4 do
		imgs[i] = image(imagepath..img(numbs[i]),(240+ i*32),144,1)
	end
	code = "0000"
end

--initialize()



function my_trigger(trigger,source)
	if(trigger == "t1") then
		numbs[1] = numbs[1]+1
	elseif(trigger == "t2") then
		numbs[2] = numbs[2]+1
	elseif(trigger == "t3") then
		numbs[3] = numbs[3]+1
	elseif(trigger == "t4") then
		numbs[4] = numbs[4]+1
	else
		return 0
	end

	for i = 1,4 do
		if(numbs[i] == 10) then
			numbs[i] = 0
		end
	end

	code = ""
	for i = 1,4 do
		code = code..numbs[i]
	end

	if(code == "1337") then
		parse("trigger door")
		closed = false
	else
		if closed == false then
			parse("trigger door")
			closed = true
		end
	end

	for i = 1,4 do
		freeimage(imgs[i])
		imgs[i] = image(imagepath..img(numbs[i]),(240+ i*32),144,1)
	end
end

